Bug 150683 - New port: devel/dragon, Combined C++ scanner/parser generator for LR compliant grammars
Summary: New port: devel/dragon, Combined C++ scanner/parser generator for LR complian...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-17 21:40 UTC by Kurt Jaeger
Modified: 2010-10-29 14:40 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (1.90 KB, text/plain)
2010-09-17 21:40 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2010-09-17 21:40:06 UTC
	Combined C++ scanner/parser generator for LR compliant grammars

Fix: #!/bin/sh
How-To-Repeat: 	-
Comment 1 Philip M. Gollucci freebsd_committer 2010-09-23 05:36:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-24 07:24:38 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 3 Pav Lucistnik freebsd_committer 2010-10-29 14:26:30 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 4 dfilter service freebsd_committer 2010-10-29 14:31:48 UTC
pav         2010-10-29 13:31:41 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/dragon         Makefile distinfo pkg-descr 
  Log:
  Combined scanner/parser generator for LR compliant grammar definitions.
  
  The generated C++ parser class is used as a super class from which a parser
  implementation class must be derived. The implementation class implements the
  scanner feed methods but also all required semantic action method. dragon has
  been used for several large projects with complex grammar definitions (about
  200 productions/ 80 tokens ). Since for those grammar defintions, the analyse
  phase to build up the parse table is quite CPU intensive, it is recommended to
  use state of the art hardware. dragon requires the base package to get compiled
  but also for the compilation of the generated C++ code.
  
  It can be used for databases/cego and probably other applications.
  
  Many more details are available at:
  
  WWW: http://www.lemke-it.com/
  
  PR:             ports/150683
  Submitted by:   Kurt Jaeger <fbsd-ports@opsec.eu>
  
  Revision  Changes    Path
  1.4097    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/dragon/Makefile (new)
  1.1       +3 -0      ports/devel/dragon/distinfo (new)
  1.1       +16 -0     ports/devel/dragon/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"